subprocess installed post-installation script returned error exit status 10

Bug #1495302 reported by Leo Iannacone on 2015-09-13
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
openssl (Ubuntu)
High
Unassigned

Bug Description

Upgrading to wily

$ sudo dpkg --configure libssl1.0.0
Setting up libssl1.0.0:amd64 (1.0.2d-0ubuntu1) ...
Checking for services that may need to be restarted...done.
Checking for services that may need to be restarted...done.
Checking init scripts...
dpkg: error processing package libssl1.0.0:amd64 (--configure):
 subprocess installed post-installation script returned error exit status 10
Errors were encountered while processing:
 libssl1.0.0:amd64

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: libssl1.0.0 1.0.2d-0ubuntu1
ProcVersionSignature: Ubuntu 3.19.0-27.29-generic 3.19.8-ckt5
Uname: Linux 3.19.0-27-generic x86_64
ApportVersion: 2.17.2-0ubuntu1.4
Architecture: amd64
CurrentDesktop: Unity
Date: Sun Sep 13 23:22:19 2015
InstallationDate: Installed on 2015-04-19 (147 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Beta amd64 (20150417.1)
SourcePackage: openssl
UpgradeStatus: Upgraded to wily on 2015-09-13 (0 days ago)

Leo Iannacone (l3on) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in openssl (Ubuntu):
status: New → Confirmed
Jalakas (jalakas) wrote :

I can confirm it.

Changed in openssl (Ubuntu):
importance: Undecided → High
Jalakas (jalakas) wrote :

I have done debugging and found the exact place where postinstallation script stops:

My $services at this point: "openvpn ntp apache2 ":\
>
> if [ -n "$services" ]; then
> db_input critical libraries/restart-without-asking || true
> db_go || true

OK until here, script breaks now with this line:
> db_get libraries/restart-without-asking
>
> if [ "x$RET" != xtrue ]; then

I don't know how to fix it, but I can help testing solutions.

Jalakas (jalakas) wrote :

I was able to finish my update with this workaround:

> if [ -n "$services" ]; then
> db_input critical libraries/restart-without-asking || true
> db_go || true
>- db_get libraries/restart-without-asking
>+ db_get libraries/restart-without-asking || true

I don't know how this affects silent install.
In my manual "dpkg --reconfigure" I had to confirm in GUI, that I really want to restart these services.

TJ (tj) on 2015-12-04
Changed in openssl (Ubuntu):
status: Confirmed → Triaged
Brian Murray (brian-murray) wrote :

I tried upgrading from Vivid to Wily and received a dialog regarding configuring libssl1.0.0:amd64 and restarting services.

bdmurray@clean-vivid-amd64:~$ ps aux | grep debconf
root 16530 0.0 0.4 68312 16688 pts/6 S+ 15:13 0:00 /usr/bin/perl -w /usr/share/debconf/frontend /var/lib/dpkg/info/libssl1.0.0:amd64.postinst configure 1.0.1f-1ubuntu11.4

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers